PagedBytes.PagedBytesDataInput (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util, class: PagedBytes, class: PagedBytesDataInput

Package org.apache.lucene.util

# Class PagedBytes.PagedBytesDataInput

java.lang.Object
org.apache.lucene.store.DataInput
org.apache.lucene.util.PagedBytes.PagedBytesDataInput

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `PagedBytes`

public final class PagedBytes.PagedBytesDataInput extends DataInput
Input that transparently iterates over pages

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PagedBytes.PagedBytesDataInput`
  `clone()`
  Returns a clone of this stream.
  `long`
  `getPosition()`
  Returns the current byte position.
  `byte`
  `readByte()`
  Reads and returns a single byte.
  `void`
  `readBytes(byte[] b, int offset, int len)`
  Reads a specified number of bytes into an array at the specified offset.
  `void`
  `setPosition(long pos)`
  Seek to a position previously obtained from `getPosition()`.
  `void`
  `skipBytes(long numBytes)`
  Skip over `numBytes` bytes.

  ### Methods inherited from class org.apache.lucene.store.DataInput

  `readBytes, readFloats, readGroupVInt, readInt, readInts, readLong, readLongs, readMapOfStrings, readSetOfStrings, readShort, readString, readVInt, readVLong, readZInt, readZLong`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### clone

    public PagedBytes.PagedBytesDataInput clone()
    Description copied from class: `DataInput`
    Returns a clone of this stream.

    Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

    Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

    Overrides:
      `clone` in class `DataInput`

  - ### getPosition

    public long getPosition()
    Returns the current byte position.

  - ### setPosition

    public void setPosition(long pos)
    Seek to a position previously obtained from `getPosition()`.

  - ### readByte

    public byte readByte()
    Description copied from class: `DataInput`
    Reads and returns a single byte.
    Specified by:
      `readByte` in class `DataInput`
    See Also:
      - `DataOutput.writeByte(byte)`

  - ### readBytes

    public void readBytes(byte[] b, int offset, int len)
    Description copied from class: `DataInput`
    Reads a specified number of bytes into an array at the specified offset.
    Specified by:
      `readBytes` in class `DataInput`
    Parameters:
      `b` - the array to read bytes into
      `offset` - the offset in the array to start storing bytes
      `len` - the number of bytes to read
    See Also:
      - `DataOutput.writeBytes(byte[],int)`

  - ### skipBytes

    public void skipBytes(long numBytes)
    Description copied from class: `DataInput`
    Skip over `numBytes` bytes. This method may skip bytes in whatever way is most optimal, and may not have the same behavior as reading the skipped bytes. In general, negative `numBytes` are not supported.
    Specified by:
      `skipBytes` in class `DataInput`